# $Id: lzlib.spec 469 2022-03-29 21:36:36Z ccachat $

%global debug_package %{nil}

Summary: A compression library providing in-memory LZMA
Name: lzlib
Version: 1.14
Release: 1%{?dist}.frs
URL: https://www.nongnu.org/lzip/lzlib.html
Source0: http://download.savannah.gnu.org/releases/lzip/%{name}/%{name}-%{version}.tar.gz
License: BSD license
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: gcc

%description
Lzlib is a data compression library providing in-memory LZMA compression and
decompression functions, including integrity checking of the decompressed data.
The compressed data format used by the library is the lzip format.
Lzlib is written in C.

%package devel
Summary: Development tools for the LZ library
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires(post): /sbin/install-info
Requires(preun): /sbin/install-info

%description devel
The libraries, header files and documentation for using the LZ library
in applications.

%package static
Summary: Development tools for the GNU MP arbitrary precision library
Group: Development/Libraries
Requires: %{name}-devel = %{version}-%{release}

%description static
The static libraries for using the LZ library in applications.

%prep
%setup -q

%build
%configure --enable-shared

make %{?_smp_mflags}

%install
%{make_install}
# %{find_lang} %{name}
rm -f %{buildroot}/%{_infodir}/dir

%check
make %{?_smp_mflags} check

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%post devel
if [ -f %{_infodir}/%{name}.info.gz ]; then
    /sbin/install-info %{_infodir}/%{name}.info.gz %{_infodir}/dir || :
fi
exit 0

%preun devel
if [ $1 = 0 ]; then
    if [ -f %{_infodir}/%{name}.info.gz ]; then
        /sbin/install-info --delete %{_infodir}/%{name}.info.gz %{_infodir}/dir || :
    fi
fi
exit 0

%files
%defattr(-,root,root,-)
%doc AUTHORS INSTALL COPYING NEWS COPYING.GPL README ChangeLog doc
%{_libdir}/liblz.so.*
%{_infodir}/%{name}.info.*


%files devel
%defattr(-,root,root,-)
%{_includedir}/*.h
%{_libdir}/liblz.so

%files static
%defattr(-,root,root,-)
%{_libdir}/liblz.a

%changelog
* Sun Oct 17 2021 FRS Packager <packager@fr-software.com> - 1.12-2
- bumped to 1.12

* Thu Feb 14 2019 FRS Packager <packager@fr-software.com> - 1.11-1
- bumped to 1.11

* Thu Apr 05 2018 FRS Packager <packager@fr-software.com> - 1.9-1
- First rpm
